## IAnjutaMessageView

IAnjutaMessageView — A view where messages of different kind can be shown

## Stability Level

Unstable, unless otherwise indicated

## Functions

GQuark | ianjuta_message_view_error_quark ()
void | ianjuta_message_view_append ()
void | ianjuta_message_view_buffer_append ()
void | ianjuta_message_view_clear ()
GList * | ianjuta_message_view_get_all_messages ()
const gchar * | ianjuta_message_view_get_current_message ()
void | ianjuta_message_view_select_next ()
void | ianjuta_message_view_select_previous ()

## Signals

void | buffer-flushed | Run Last
void | message-clicked | Run Last

## Types and Values

#define | IANJUTA_MESSAGE_VIEW_ERROR
enum | IAnjutaMessageViewType

## Object Hierarchy

        GEnum
        ╰── IAnjutaMessageViewType
        GInterface
        ╰── IAnjutaMessageView

## Includes

    #include <libanjuta/interfaces/ianjuta-message-view.h>

## Description

## Functions

### ianjuta_message_view_error_quark ()

    GQuark
    ianjuta_message_view_error_quark (void);

### ianjuta_message_view_append ()

    void
    ianjuta_message_view_append (IAnjutaMessageView *obj,
                                 IAnjutaMessageViewType type,
                                 const gchar *summary,
                                 const gchar *details,
                                 GError **err);

Append the message with summary displayed and details displayed as tooltip

#### Parameters

obj | Self |
type | type of the message |
summary | summary of the message |
details | details of the message |
err | Error propagation and reporting. |

### ianjuta_message_view_buffer_append ()

    void
    ianjuta_message_view_buffer_append (IAnjutaMessageView *obj,
                                        const gchar *text,
                                        GError **err);

Appends the text in buffer. Flushes the buffer where a newline is found. by emiiting buffer_flushed signal. The string is expected to be utf8.

#### Parameters

obj | Self |
text | text to show as message |
err | Error propagation and reporting. |

### ianjuta_message_view_clear ()

    void
    ianjuta_message_view_clear (IAnjutaMessageView *obj,
                                GError **err);

Clear all messages in buffer

#### Parameters

obj | Self |
err | Error propagation and reporting. |

### ianjuta_message_view_get_all_messages ()

    GList *
    ianjuta_message_view_get_all_messages (IAnjutaMessageView *obj,
                                           GError **err);

Get a list of all messages. The list has to be freed

#### Parameters

obj | Self |
err | Error propagation and reporting. |

#### Returns

.

[element-type utf8]

### ianjuta_message_view_get_current_message ()

    const gchar *
    ianjuta_message_view_get_current_message
                                   (IAnjutaMessageView *obj,
                                    GError **err);

Get the currently selected message

#### Parameters

obj | Self |
err | Error propagation and reporting. |

### ianjuta_message_view_select_next ()

    void
    ianjuta_message_view_select_next (IAnjutaMessageView *obj,
                                      GError **err);

Select next message (of type INFO, WARNING or ERROR)

#### Parameters

obj | Self |
err | Error propagation and reporting. |

### ianjuta_message_view_select_previous ()

    void
    ianjuta_message_view_select_previous (IAnjutaMessageView *obj,
                                          GError **err);

Select previous message

#### Parameters

obj | Self |
err | Error propagation and reporting. |

## Types and Values

### IANJUTA_MESSAGE_VIEW_ERROR

    #define IANJUTA_MESSAGE_VIEW_ERROR ianjuta_message_view_error_quark()

### enum IAnjutaMessageViewType

Speficy the type ot the message added to the message view

#### Members

IANJUTA_MESSAGE_VIEW_TYPE_NORMAL | Normal message |
IANJUTA_MESSAGE_VIEW_TYPE_INFO | Info message (highlighed) |
IANJUTA_MESSAGE_VIEW_TYPE_WARNING | Warning message |
IANJUTA_MESSAGE_VIEW_TYPE_ERROR | Error message |

## Signal Details

### The `“buffer-flushed”` signal

    void
    user_function (IAnjutaMessageView *obj,
                   gchar              *line,
                   gpointer            user_data)

Emitted when ianjuta_message_view_buffer_append found a newline

#### Parameters

obj | Self |
line | the current line |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

### The `“message-clicked”` signal

    void
    user_function (IAnjutaMessageView *obj,
                   gchar              *message,
                   gpointer            user_data)

Emitted when the user clicks on a message

#### Parameters

obj | Self |
message | text of the clicked message |
user_data | user data set when the signal handler was connected. |

Flags: Run Last